/* Based on PureCSS's Blog design, tweaked a bit */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

a, p {
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
    color: #222;
}
a:hover,
a:focus {
    text-decoration: underline;
}

h3 {
    font-weight: 100;
}

/* LAYOUT CSS */
.pure-img-responsive {
    max-width: 100%;
    height: auto;
}

#layout {
    padding: 0;
}

.header {
    top: auto;
    margin: 80% 2em 0;
    text-align: right;
}

.sidebar {
    background: rgb(61, 79, 93);
    color: #fff;
    position: fixed;
    top: 0;
    bottom: 0;
}

.brand-title,
.brand-tagline {
    margin: 0;
}
.brand-title {
    text-transform: uppercase;
}
.brand-tagline {
    font-weight: 300;
    color: rgb(176, 202, 219);
}

.content-subhead {
    text-transform: uppercase;
    color: #aaa;
    border-bottom: 1px solid #eee;
    padding: 0.4em 1em;
    font-size: 80%;
    font-weight: 500;
    letter-spacing: 0.1em;
}

.content {
    padding: 0;
    margin-left: 25%;
}

/**************************************
 * Custom CSS for Pinlist starts here *
 **************************************/

/* Filters for tags */
.filters {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
}
.filter {
    background: rgb(61, 79, 93);
    color: #fff;
    padding: 2px 5px;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    border-radius: 7px;
    text-decoration: none;
}
.filter:hover {
    background: rgb(61, 146, 201);
    text-decoration: none;
}

/* Could'nt find a descriptive name. It's a container with slight top/bottom margin and center aligned content */
.foo {
    text-align: center;
    margin: 0.5em 0;
}

/* Posts:
 * Each post contains:
 * - Informations: the title linking to the URL, and maybe a description
 * - Tags: to filters posts */
.posts {
    display: flex;
    flex-direction: column;
}
.post {
    padding: 1em 2em;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0 1em;
}
.post:hover {
    background: rgba(61, 79, 83, 0.05);
}
.post .informations {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}
.post .informations a {
    text-align: left;
    color: #222;
    font-weight: bold;
}
.post .informations p {
    font-weight: lighter;
    text-align: justify;
}
.post .filters {
    align-items: end;
}

@media (max-width: 48em) {
    .content {
        padding: 0;
        margin: auto;
    }

    .header {
        text-align: center;
        margin: 3em auto;
    }

    .sidebar {
        position: relative;
        top: auto;
        bottom: auto;
    }

    .filters { align-items: center }

    .post {
        flex-direction: column;
        align-items: start;
            gap: 1em 0;
    }
    .post .informations {
        align-self: start;
    }
    .post .filters {
        align-self: end;
        flex-direction: row-reverse;
        flex-wrap: wrap;
    }
}
